Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.annotation
Class PDAnnotationRubberStamp

    java.lang.Object
      org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
          org.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup
              org.pdfbox.pdmodel.interactive.annotation.PDAnnotationRubberStamp

All Implemented Interfaces:
  COSObjectable

public class PDAnnotationRubberStamp
extends PDAnnotationMarkup

This is the class that represents a rubber stamp annotation. Introduced in PDF 1.3 specification

Version:
  $Revision: 1.2 $
Author:
  Paul King

Field Summary
`static String` | `NAME_APPROVED` Constant for the name of a rubber stamp.
`static String` | `NAME_AS_IS` Constant for the name of a rubber stamp.
`static String` | `NAME_CONFIDENTIAL` Constant for the name of a rubber stamp.
`static String` | `NAME_DEPARTMENTAL` Constant for the name of a rubber stamp.
`static String` | `NAME_DRAFT` Constant for the name of a rubber stamp.
`static String` | `NAME_EXPERIMENTAL` Constant for the name of a rubber stamp.
`static String` | `NAME_EXPIRED` Constant for the name of a rubber stamp.
`static String` | `NAME_FINAL` Constant for the name of a rubber stamp.
`static String` | `NAME_FOR_COMMENT` Constant for the name of a rubber stamp.
`static String` | `NAME_FOR_PUBLIC_RELEASE` Constant for the name of a rubber stamp.
`static String` | `NAME_NOT_APPROVED` Constant for the name of a rubber stamp.
`static String` | `NAME_NOT_FOR_PUBLIC_RELEASE` Constant for the name of a rubber stamp.
`static String` | `NAME_SOLD` Constant for the name of a rubber stamp.
`static String` | `NAME_TOP_SECRET` Constant for the name of a rubber stamp.
`static String` | `SUB_TYPE` The type of annotation.

Fields inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup
`RT_GROUP, RT_REPLY`

Fields inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
`FLAG_HIDDEN, FLAG_INVISIBLE, FLAG_LOCKED, FLAG_NO_ROTATE, FLAG_NO_VIEW, FLAG_NO_ZOOM, FLAG_PRINTED, FLAG_READ_ONLY, FLAG_TOGGLE_NO_VIEW`

Constructor Summary
`PDAnnotationRubberStamp()` Constructor.
`PDAnnotationRubberStamp(COSDictionary field)` Creates a Rubber Stamp annotation from a COSDictionary, expected to be a correct object definition.

Method Summary
`String` | `getName()` This will retrieve the name (and hence appearance, AP taking precedence) For this annotation.
`void` | `setName(String name)` This will set the name (and hence appearance, AP taking precedence) For this annotation.

Methods inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup
`getConstantOpacity, getCreationDate, getInReplyTo, getIntent, getPopup, getReplyType, getRichContents, getSubject, getTitlePopup, setConstantOpacity, setCreationDate, setInReplyTo, setIntent, setPopup, setReplyType, setRichContents, setSubject, setTitlePopup`

Methods inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
`createAnnotation, getAction, getActions, getAnnotationFlags, getAnnotationName, getAppearance, getAppearanceStream, getBoderStyle, getColour, getContents, getCOSObject, getDictionary, getModifiedDate, getRectangle, isHidden, isInvisible, isLocked, isNoRotate, isNoView, isNoZoom, isPrinted, isReadOnly, isToggleNoView, setAction, setActions, setAnnotationFlags, setAnnotationName, setAppearance, setAppearanceStream, setBorderStyle, setColour, setContents, setHidden, setInvisible, setLocked, setModifiedDate, setNoRotate, setNoView, setNoZoom, setPrinted, setReadOnly, setRectangle, setToggleNoView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME_APPROVED

    public static final String NAME_APPROVED

  Constant for the name of a rubber stamp.

  See Also:
    Constant Field Values

### NAME_EXPERIMENTAL

    public static final String NAME_EXPERIMENTAL

  Constant for the name of a rubber stamp.

  See Also:
    Constant Field Values

### NAME_NOT_APPROVED

    public static final String NAME_NOT_APPROVED

  Constant for the name of a rubber stamp.

  See Also:
    Constant Field Values

### NAME_AS_IS

    public static final String NAME_AS_IS

  Constant for the name of a rubber stamp.

  See Also:
    Constant Field Values

### NAME_EXPIRED

    public static final String NAME_EXPIRED

  Constant for the name of a rubber stamp.

  See Also:
    Constant Field Values

### NAME_NOT_FOR_PUBLIC_RELEASE

    public static final String NAME_NOT_FOR_PUBLIC_RELEASE

  Constant for the name of a rubber stamp.

  See Also:
    Constant Field Values

### NAME_FOR_PUBLIC_RELEASE

    public static final String NAME_FOR_PUBLIC_RELEASE

  Constant for the name of a rubber stamp.

  See Also:
    Constant Field Values

### NAME_DRAFT

    public static final String NAME_DRAFT

  Constant for the name of a rubber stamp.

  See Also:
    Constant Field Values

### NAME_FOR_COMMENT

    public static final String NAME_FOR_COMMENT

  Constant for the name of a rubber stamp.

  See Also:
    Constant Field Values

### NAME_TOP_SECRET

    public static final String NAME_TOP_SECRET

  Constant for the name of a rubber stamp.

  See Also:
    Constant Field Values

### NAME_DEPARTMENTAL

    public static final String NAME_DEPARTMENTAL

  Constant for the name of a rubber stamp.

  See Also:
    Constant Field Values

### NAME_CONFIDENTIAL

    public static final String NAME_CONFIDENTIAL

  Constant for the name of a rubber stamp.

  See Also:
    Constant Field Values

### NAME_FINAL

    public static final String NAME_FINAL

  Constant for the name of a rubber stamp.

  See Also:
    Constant Field Values

### NAME_SOLD

    public static final String NAME_SOLD

  Constant for the name of a rubber stamp.

  See Also:
    Constant Field Values

### SUB_TYPE

    public static final String SUB_TYPE

  The type of annotation.

  See Also:
    Constant Field Values

Constructor Detail

### PDAnnotationRubberStamp

    public PDAnnotationRubberStamp()

  Constructor.

### PDAnnotationRubberStamp

    public PDAnnotationRubberStamp(COSDictionary field)

  Creates a Rubber Stamp annotation from a COSDictionary, expected to be a correct object definition.

Parameters:
  `field` - the PDF objet to represent as a field.

Method Detail

### setName

    public void setName(String name)

  This will set the name (and hence appearance, AP taking precedence) For this annotation. See the NAME_XXX constants for valid values.

  Parameters:
    `name` - The name of the rubber stamp.

### getName

    public String getName()

  This will retrieve the name (and hence appearance, AP taking precedence) For this annotation. The default is DRAFT.

  Returns:
    The name of this rubber stamp, see the NAME_XXX constants.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD